/*
 * Copyright 2007 ETH Zuerich, CISD
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ch.systemsx.cisd.bds;

/**
 * Unknown Format V1.0.
 *
 * @author Franz-Josef Elmer
 */
public final class UnknownFormat1_0 extends Format
{
    private static final String FORMAT_CODE = "UNKNOWN";
    /**
     * The one and only one instance.
     */
    public static final Format UNKNOWN_1_0 = new UnknownFormat1_0();

    private UnknownFormat1_0()
    {
        super(FORMAT_CODE, new Version(1, 0), null);
    }

    
}
