/*
 * Copyright 2007 ETH Zuerich, CISD
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package ch.systemsx.cisd.bds.hcs;

import ch.systemsx.cisd.bds.storage.IDirectory;

/**
 * An <code>AbstractGeometry</code> implementation suitable for <i>Plate</i>.
 * 
 * @author Christian Ribeaud
 */
public final class PlateGeometry extends Geometry
{

    static final String PLATE_GEOMETRY = "plate_geometry";

    public PlateGeometry(final int rows, final int columns)
    {
        super(rows, columns);
    }

    /**
     * Loads the geometry from the specified directory.
     */
    static Geometry loadFrom(final IDirectory directory)
    {
        return loadFrom(directory, PLATE_GEOMETRY);
    }

    //
    // Geometry
    //

    @Override
    protected final String getGeometryDirectoryName()
    {
        return PLATE_GEOMETRY;
    }

}
